function pz6(N)
    x1 = floor(randn(N,1));
    H = hadamard(N);
    W = dftmtx(N);
    Xh_direct_1 = H*x1;
    Xf_indirect_1 = W*H'*Xh_direct_1/N;
    Xf_direct_1 = W*x1;

    x2 = floor(randn(N,1));
    Xf_direct_2 = W*x2;
    Xh_indirect_2 = H*W'*Xf_direct_2/N;
    Xh_direct_2 = H*x2;
end
